Bug 158766 - [patch] devel/bugzilla fix checksetup plus add DIST_SUBDIR to Makefile.common
Summary: [patch] devel/bugzilla fix checksetup plus add DIST_SUBDIR to Makefile.common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 17:40 UTC by Olli Hauer
Modified: 2011-07-18 23:00 UTC (History)
1 user (show)

See Also:


Attachments
bugzilla_DIST_SUBDIR.diff (7.76 KB, patch)
2011-07-10 17:40 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-07-10 17:40:14 UTC
checksetup fails since the directory bugzilla/xt is missing
(file: Bugzilla/Install/Filesystem.pm line: 248)

Additional add directive DIST_SUBDIR to Makefile.common to keep all
bugzilla related files (bugzilla, translations) together.
Comment 1 Edwin Groothuis freebsd_committer 2011-07-10 17:40:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 TAKATSU Tomonari freebsd_committer 2011-07-11 13:17:13 UTC
I have confirmed japanese/bugzilla* and related parts of your patch.
LGTM
Please go ahead.

Thanks,

-- 
TAKATSU Tomonari
Comment 3 dfilter service freebsd_committer 2011-07-18 22:56:11 UTC
ohauer      2011-07-18 21:56:02 UTC

  FreeBSD ports repository

  Modified files:
    devel/bugzilla       Makefile Makefile.common distinfo 
                         pkg-plist 
    devel/bugzilla3      Makefile.common distinfo 
    german/bugzilla      Makefile 
    german/bugzilla3     Makefile 
    japanese/bugzilla    distinfo 
    japanese/bugzilla3   distinfo 
    russian/bugzilla-ru  distinfo 
    russian/bugzilla3-ru distinfo 
  Log:
  - create missing (empty) directory (bugzilla) so checksetup does not fail
  - use DIST_SUBDIR for bugzilla and all translations
  - sort pkg-plist (genplist)
  
  OK from bugzilla maintainers per PM.
  
  PR:             ports/158766
  Submitted by:   ohauer
  
  Revision  Changes    Path
  1.86      +3 -2      ports/devel/bugzilla/Makefile
  1.3       +3 -1      ports/devel/bugzilla/Makefile.common
  1.45      +2 -2      ports/devel/bugzilla/distinfo
  1.39      +53 -51    ports/devel/bugzilla/pkg-plist
  1.3       +3 -1      ports/devel/bugzilla3/Makefile.common
  1.45      +2 -2      ports/devel/bugzilla3/distinfo
  1.2       +0 -1      ports/german/bugzilla/Makefile
  1.2       +0 -1      ports/german/bugzilla3/Makefile
  1.14      +2 -2      ports/japanese/bugzilla/distinfo
  1.15      +2 -2      ports/japanese/bugzilla3/distinfo
  1.8       +2 -2      ports/russian/bugzilla-ru/distinfo
  1.8       +2 -2      ports/russian/bugzilla3-ru/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Olli Hauer freebsd_committer 2011-07-18 22:56:52 UTC
State Changed
From-To: open->closed

Comitted